<?php
/**
 * rcguard configuration file.
 */

// Number of failed logins before CAPTCHA is shown
$config['failed_attempts'] = 3;

// Release IP after how many minutes (after last failed attempt)
$config['expire_time'] = 30;

// Reset failure count after successfull login (see bratkartoffel/rcguard@670395e)
$config['rcguard_reset_after_success'] = true;

// Google reCAPTCHA | hCaptcha | FriendlyCaptcha | Cloudflare Turnstyle API version and url
$config['recaptcha_api_version'] = 'v2'; // v3 | v2 | v2invisible | v2hcaptcha | v2friendlycaptcha | v2cfturnstyle
$config['recaptcha_api_url'] = 'https://www.google.com/recaptcha/api.js'; // Google reCAPTCHA
//$config['recaptcha_api_url'] = 'https://js.hcaptcha.com/1/api.js'; // hCaptcha
//$config['recaptcha_api_url'] = 'https://cdn.jsdelivr.net/npm/friendly-challenge@0.9.1/widget.min.js'; // FriendlyCaptcha
//$config['recaptcha_api_url'] = 'https://challenges.cloudflare.com/turnstile/v0/api.js'; // Cloudflare Turnstyle

// !!! DEPRECATED - not used anymore !!!
//$config['recaptcha_api']        = 'http://www.google.com/recaptcha/api.js';
//$config['recaptcha_api_secure'] = 'https://www.google.com/recaptcha/api.js';
//$config['recaptcha_https']      = true;

// Keys can be obtained from
// - http://www.google.com/recaptcha/
// - https://dashboard.hcaptcha.com/
// - https://friendlycaptcha.com/
// - https://www.cloudflare.com/products/turnstile/

// CAPTCHA site key
$config['recaptcha_publickey'] = '';

// CAPTCHA secret key
$config['recaptcha_privatekey'] = '';

// Send client IP for CAPTCHA verification, supported on: Google | hCaptcha
$config['recaptcha_send_client_ip'] = false;

// If defined, use this proxy to request CAPTCHA
// $config['recaptcha_proxy'] = 'proxy.example.com:5100';
$config['recaptcha_proxy'] = false;

// Proxy authentication credentials
// $config['recaptcha_proxy:auth'] = 'login:password';
$config['recaptcha_proxy_auth'] = false;

// Log events
$config['recaptcha_log'] = false;

// Recaptcha widget theme: light | dark (only for v2*)
$config['recaptcha_theme'] = 'light';

// Recaptcha widget size: normal | compact (only for v2*)
$config['recaptcha_size'] = 'normal';

// Event is not logged when set to NULL
// Parameter expansion:
// %r - Remote IP
// %u - Username
// %v - API version
$config['recaptcha_log_success'] = 'Verification succeeded for %u. [%r] via %v';
$config['recaptcha_log_failure'] = 'Error: Verification failed for %u. [%r] via %v';
$config['recaptcha_log_unknown'] = 'Error: Unknown log type.';

// Mask IPv6 client IP based on prefix length
// Use an integer between 16 and 128, 0 to disable
$config['rcguard_ipv6_prefix'] = 0;

// Do not show recaptcha for this IPs
$config['rcguard_ignore_ips'] = [];

// Do not show recaptcha of these networks
$config['recaptcha_whitelist'] = [];

